ApiKeys

List API key activity

Returns the sends attributed to an API key, newest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.

GET
/v1/api-keys/{id}/activity

Returns the sends attributed to an API key, newest first. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^key_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

ApiKeyActivityPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.apiKeys.getActivity({  "id": "example"});
Example Response
{  "items": [    {      "id": "string",      "timestamp": "string",      "method": "string",      "endpoint": "string",      "statusCode": 100,      "latency": 0    }  ],  "nextCursor": "string"}

Related documentation